osso-calculator (1.5.18-0) unstable; urgency=low

  * Fixes: NB#84596 Cannot open calculator till the device is rebooted after
    it resumes from sleep mode

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 24 Apr 2008 13:30:00 +0200

osso-calculator (1.5.16-0) unstable; urgency=low

  * Fixes: NB#81415 Saved memory is lost

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 14 Apr 2008 15:31:16 +0200

osso-calculator (1.5.15-0) unstable; urgency=low

  * Fixes: NB#83451 Calculator crashes in mentioned condition
  * Fixes: NB#83675 wrong result from several square roots in power

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 04 Apr 2008 15:25:33 +0200

osso-calculator (1.5.14-0) unstable; urgency=low

  * [deleted invalid entry]

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 31 Mar 2008 11:46:16 +0200

osso-calculator (1.5.07-0) unstable; urgency=low

  * Fixes: NB#80257 Calculator is supporting more than 12 digits for some
    calculation.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 08 Feb 2008 11:53:24 +0100

osso-calculator (1.5.06-0) unstable; urgency=low

  * Fixes: NB#77056 Inconsistent behavior on multiple paste
  * Fixes: NB#79996 .33333333 1/x,Gives wrong result
  * Fixes: NB#79955 Result should come up to 12 digits

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 29 Jan 2008 13:59:26 +0200

osso-calculator (1.5.05-0) unstable; urgency=low

  * Fixes: NB#77054 Incorrect expression modication

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 22 Jan 2008 16:23:10 +0200

osso-calculator (1.5.03-0) unstable; urgency=low

  * Fixes: NB#78809 Calculator application crashes while evaluating expression sqrt7+3^2(+/-)=
  * Fixes: NB#78813 Error is displayed when evaluating expression-sqrt 8 * 8
  * Fixes: NB#77203 Expression with consecutive sq. root results in error
  * Fixes: NB#77209 Unexpected 'Illegal input' information banner
  * Fixes: NB#77333 The info banner illegal input banner is displayed in
    calculator application when opening the menu using the bluetooth keyboard
  * Fixes: NB#77055 Calculation line value gets appended
  * Fixes: NB#79030 Cannot write a expression with 2 consecutive sq. root directly
  * Fixes: NB#79093 Predictive dictionary words are shown in Calculator application
  * Fixes: NB#79154 Possible to paste text

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 10 Jan 2008 10:12:42 +0200

osso-calculator (1.4.52-0) unstable; urgency=low

  * Fixes: NB#77294 Number in the calculation line gets deleted ,while
    continuing number entry after clear tillroll.
  * Fixes: NB#77295 Cursor position in calculation line is not correct after
    trying to paste some characters.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 19 Dec 2007 17:45:15 +0200

osso-calculator (1.4.51-0) unstable; urgency=low

  * Fixes: NB#77052 Numbers are dimmed -even after copying the less digit number from notes application to calculation line
  * Fixes: NB#78489 Recall from memory(MR) ,working differently from keyboard and from menu
  options.

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 12 Dec 2007 17:29:53 +0200

osso-calculator (1.4.49-0) unstable; urgency=low

  * Fixes: NB#77304 Calculator crashes with mentioned expression

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 30 Nov 2007 14:09:31 +0200

osso-calculator (1.4.47-0) unstable; urgency=low

  * Fixes: NB#75584 Wrong result for expression 10/(2/5)1/x=
  * Fixes: NB#75598 Wrong result for (5-3-2)1/x= as -4.8 instead of Error
  * Fixes: NB#75864 Individual Components works fine but When Clubbed as Expression gives Zero.
  * Fixes: NB#75579 "only numbers can be pasted" banner is displayed when tried to paste zero in calculation line

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu, 15 Nov 2007 18:46:06 +0200

osso-calculator (1.4.46-0) unstable; urgency=low

  * Fixes: NB#75554 Calculator crashes everytime

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri,  9 Nov 2007 14:15:00 +0200

osso-calculator (1.4.45-0) unstable; urgency=low

  * Fixes: NB#72847 'M' appears on the display when the memory is zero
  * Fixes: NB#73366 Information banner "Illegal input" is not displayed.
  * Fixes: NB#72850 Continous 'back' cannot be done using select HW key
  * Fixes: NB#72979 Calculator number pad dimmed even if a number can be entered

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Sat, 27 Oct 2007 07:30:06 +0200

osso-calculator (1.4.40-0) unstable; urgency=low

  * Fix focus with AC and C
  * Fixes: NB#71016 Selecting (C)Clear option doesn't clears the result 

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 26 Sep 2007 09:18:06 +0300

osso-calculator (1.4.39-0) unstable; urgency=low

  * Fixes: NB#70003 C (Clear) key perform the same function as AC (All clear).
  * Ctrl is now handled better in code

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 18 Sep 2007 15:11:00 +0300

osso-calculator (1.4.37-0) unstable; urgency=low

  * Fixes: NB#68194 Cursor position not considered when entering digits 

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed,  5 Sep 2007 10:31:16 +0300

osso-calculator (1.4.35-0) unstable; urgency=low

  * Fixes: NB#65942 Logical text color is wrond in buttons
  * Fixes: NB#63798 (-7777777)^ 1 gives wromg result
  * HW key input defined by OSSO 1.1 UI Specs

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 20 Aug 2007 17:32:21 +0300

osso-calculator (1.4.34-0) unstable; urgency=low

  * Fixes: NB#52966 calculator must be compiled with -fPIC

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 15 Aug 2007 16:57:21 +0300

osso-calculator (1.4.28-0) unstable; urgency=low

  * Fixes: NB#62554 display wrong focus in Funcation keyboard

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Thu,  5 Jul 2007 11:04:23 +0300

osso-calculator (1.4.26-0) unstable; urgency=low

  * Fixes: NB#61147 Messy debug code remains in osso-calculator. 

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue, 19 Jun 2007 15:01:05 +0300

osso-calculator (1.4.24-1) unstable; urgency=low

  * Fixes: NB#51383 legal issues with osso-calculator and osso-calculator-engine 
  * libhildonhelp consolidation

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed, 13 Jun 2007 14:03:32 +0300

osso-calculator (1.4.24-0) unstable; urgency=low

  * Fixes: NB#59796 Info "Memory =0 "displays when tap on empty calculator field.
  * Fixes: NB#59077 "Copy" takes too much of time in the Calculation application

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Wed,  6 Jun 2007 15:14:00 +0300

osso-calculator (1.4.23-0) unstable; urgency=low

  * Fixes: NB#58753 Calculator is crashed on keeping device ideal for 5 minutes

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Tue,  5 Jun 2007 10:23:38 +0300

osso-calculator (1.4.20-0) unstable; urgency=low

  * Added shortcuts
  * libcomapp integration

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 14 May 2007 12:47:09 +0300

osso-calculator (1.4.19-0) unstable; urgency=low

  * Fixes: NB#55310 copied info is not coming

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon,  7 May 2007 11:34:20 +0300

osso-calculator (1.4.18-0) unstable; urgency=low

  * Fixes: NB#52408 0 is not getting pasted when copied 0.1234 from notes application

 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Fri, 27 Apr 2007 15:15:44 +0300

osso-calculator (1.4.11-0) unstable; urgency=low

  * First 1.1 release
  
 -- Qureshi Ahmad <Ahmad.Qureshi@nokia.com>  Mon, 12 Mar 2007 12:50:46 +0300

osso-calculator (1.3.59-0) unstable; urgency=low

  * Fixes: NB#51510 Calculator; Scientific notation is cut off for numbers with many digits

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 12 Feb 2007 16:57:06 +0200

osso-calculator (1.3.58-0) unstable; urgency=low

  * Fixes: NB#48150 Font size of text is not changing,when copy text from calculator and paste it in Notes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 5 Feb 2007 16:57:06 +0200

osso-calculator (1.3.55-0) unstable; urgency=low

  * Fixes: NB#50454 Minor patch to fix some warnings.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 15 Jan 2007 16:57:06 +0200

osso-calculator (1.3.52-0) unstable; urgency=low

  * Fixes: NB#49480 Calculator; Square root of squared number with 7 or more digits gives incorrect result

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 22 Dec 2006 16:57:06 +0200

osso-calculator (1.3.50-2) unstable; urgency=low

  * Fixes: NB#49176 Expression "(100+10%)" gives wrong result.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 11 Dec 2006 16:57:06 +0200

osso-calculator (1.3.50-1) unstable; urgency=low

  * Fixes: NB#41051 Behaviour noted when copying till roll content to Notes when there's Error

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 11 Dec 2006 16:57:06 +0200

osso-calculator (1.3.50-0) unstable; urgency=low

  * Fixes: NB#46764 "Cache already cleared" Info banner is not displayed clearly.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 11 Dec 2006 16:57:06 +0200

osso-calculator (1.3.49-0) unstable; urgency=low

  * Fixes: NB#46379 Able to manupulate memory with numbers not taken into calculation
  * Fixes: NB#48406 Calculator; Large number to the power of 1 gives incorrect result

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 4 Dec 2006 16:57:06 +0200

osso-calculator (1.3.47-0) unstable; urgency=low

  * Fixes: NB#40041 Button's ("AC" and "C") color is not as per spec.
  * Fixes: NB#47469 Calculator application crashes for the specific scenario
  * Fixes: NB#47792 Application crashs for perticular calculation.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 20 Nov 2006 16:57:06 +0200

osso-calculator (1.3.45-0) unstable; urgency=low

  * Fixes: NB#45871 Application crashes in stress testing

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 5 Nov 2006 16:57:06 +0200

osso-calculator (1.3.44-0) unstable; urgency=low

  * Fixes: NB#44834 Application crashes with info "internal error.Application 'Calculator closed."for perticular expression.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 30 Oct 2006 16:57:06 +0200

osso-calculator (1.3.43-0) unstable; urgency=low

  * Fixes: NB#43392 After entering maximum digitis and pressing '=' sign should enable the number pad.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 23 Oct 2006 16:57:06 +0200

osso-calculator (1.3.42-0) unstable; urgency=low

  * Fixes: NB#42530 Not able to execute expresion (31/x +61/X)
  * Fixes: NB#42546 sqrt 8 1/X and 8 1/X give the same result
  * Fixes: NB#42790 Memory gets empty when tapping on MS after an operator has been selected
  * Fixes: NB#42545 Immediately after square root operation, numbers should not be allowed
  * Fixes: NB#42730 "v82^2" gives wrong result.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 03 Oct 2006 16:57:06 +0200

osso-calculator (1.3.41-0) unstable; urgency=low

  * Fixes: NB#41128 25SqrtSqrt= Error
  * Fixes: NB#41121 Calculation line get empty when paste text from notes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 03 Oct 2006 16:57:06 +0200

osso-calculator (1.3.40-0) unstable; urgency=low

  * Fixes: NB#41009 Thumbview of others menu does not contain second line
  * Fixes: NB#40903 Copied from Calculation line, but not able to paste the whole number back again
  * Fixes: NB#40870 Peculiar behaviour noted when a 3-digit number preceded by a zero is copied from Notes
  * Fixes: NB#40857 00008 =Error and 0009 = Error is displayed when copied from Notes
  * Fixes: NB#40628 Tapping on 1/x operator should give response only once

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 03 Oct 2006 16:57:06 +0200

osso-calculator (1.3.38-0) unstable; urgency=low

  * Fixes: NB#39240 Different results for the same operation
  * Fixes: NB#39026 Calculation within brackets does not seem to be done first
  * Fixes: NB#39695 Error for 2^(-3.0)
  * Fixes: NB#39692 Square root symbol after the number
  * Fixes: NB#38984 Square root operator symbol not to be seen in calculation line
  * Fixes: NB#38981 (98)1/x1/x1/x1/x=0 is displayed
  * Fixes: NB#38548 Bracket should not be considered for 1/x
  * Fixes: NB#38970 Pressing square root button after pressing other operators
  * Fixes: NB#39761 Second entered bracket is considered
  * Fixes: NB#40461  expression "(-9)^3" gives error.
  * Fixes: NB#40466 Application get crash for perticular equation.
  * Fixes: NB#40622 (-10)^2 gives error.
  * Fixes: NB#40627 [sqrt(-6)] ^ 2  Closes the application
  * Fixes: NB#40626 Tapping on M icon on calculation line does not display the value stored in memory

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 18 Sep 2006 16:57:06 +0200

osso-calculator (1.3.37-0) unstable; urgency=low

  * Fixes: NB#36909 No error note while pasting a number more than 12 digits from a note
  * Fixes: NB#39399 Calculator shows "Error" for powering by decimal numbers in German
  * Fixes: NB#38309 Calculator; Error when performing operation 2^(3/2)
  * Fixes: NB#39154 Sqrt(13*8-5) gives an error.
  * Fixes: NB#38309 Calculator; Error when performing operation 2^(3/2)
  * Fixes: NB#39175 Sqrt 5 ^sqrt 7 gives error.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 11 Sep 2006 16:57:06 +0200

osso-calculator (1.3.35-0) unstable; urgency=low

  * Fixes: NB#34998 Calculator application closes on performing the calculation 7^(-3.2)
  * Fixes: NB#35784 In whatever form be, zero should be considered as zero.
  * Fixes: NB#35193 Calculator; functional error, Calculator crash when calculating with imaginary numbers
  * Fixes: NB#33311 osso-calculator-ui package is depending on hildonbase but doesn't use it
  * Fixes: NB#34902 Calculator; Grammar error; Missing space in the info banner (CLC-INF011) "Memory = x" calc_ap_memory
  * Fixes: NB#35609 Recall from memory (MR) using MR button and the menu item MR give different results.
  * Fixes: NB#33603 Calculator; 2006-26-5- Functional; Memory is still displayed  when the value is 0
  * Fixes: NB#36911 Number keys not getting dimmed if we paste 12 digit number from notes
  * Fixes: NB#35743 Behaviour of brackets
  * Fixes: NB#36446 ((( ))) Error is displayed sometimes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 28 Aug 2006 16:57:06 +0200

osso-calculator (1.3.29-0) unstable; urgency=low

  * Fixes: NB#32444, NB#32994

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 4 Jul 2006 16:57:06 +0200


osso-calculator (1.2.27-0) unstable; urgency=low

  * Fixes: NB#32283 NB#32913

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 4 Jul 2006 16:57:06 +0200

osso-calculator (1.3.27-0) unstable; urgency=low

  * Fixes: NB#32028

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 4 Jul 2006 16:57:06 +0200

osso-calculator (1.2.23-1plus) unstable; urgency=low

  * Bug fixes. 

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 31 May 2006 16:57:06 +0200
osso-calculator (1.2.22-1plus) unstable; urgency=low

  * Bug fixes. 

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 24 May 2006 16:57:06 +0200
osso-calculator (1.2.21-1plus) unstable; urgency=low

  * Bug Fixing, removed decimal power operand support as it is not implemented
    in help .

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 22 May 2006 16:57:06 +0200
osso-calculator (1.2.20-1plus) unstable; urgency=low

  * Bug Fixing.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 15 May 2006 16:57:06 +0200
osso-calculator (1.2.19-2plus) unstable; urgency=low

  * Bug Fixing.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 09 May 2006 16:57:06 +0200
osso-calculator (1.2.19-1plus) unstable; urgency=low

  * Bug Fixing.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 02 May 2006 16:57:06 +0200
osso-calculator (1.2.18-1plus) unstable; urgency=low

  * Bug Fixing.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 02 May 2006 16:57:06 +0200
osso-calculator (1.2.17-7plus) unstable; urgency=low

  * Changing in configure.ac file.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 26 April 2006 16:57:06 +0200
osso-calculator (1.2.17-6plus) unstable; urgency=low

  * osso-libhelp header file is included in callback.c file.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 26 April 2006 16:57:06 +0200
osso-calculator (1.2.17-5plus) unstable; urgency=low

  * dbus.c and dbus.h are renamed as calc_dbus.c and calc_dbus.h respectively.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 26 April 2006 16:57:06 +0200
osso-calculator (1.2.17-4plus) unstable; urgency=low

  * Changes in main.h file.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 26 April 2006 16:57:06 +0200
osso-calculator (1.2.17-3plus) unstable; urgency=low

  * Changes in dbus.h file.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 26 April 2006 16:57:06 +0200
osso-calculator (1.2.17-2plus) unstable; urgency=low

  * Bug Fixes and code clean up.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 25 April 2006 16:57:06 +0200
osso-calculator (1.2.17-1plus) unstable; urgency=low

  * Crash (while closing application) fixes .

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 19 April 2006 16:57:06 +0200
osso-calculator (1.2.16-1plus) unstable; urgency=low

  * Bug Fixes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Tue, 12 April 2006 16:57:06 +0200
osso-calculator (1.2.15-1plus) unstable; urgency=low

  * Bug Fixes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 30 March 2006 16:57:06 +0200
osso-calculator (1.2.14-1plus) unstable; urgency=low

  * Bug Fixes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 24 March 2006 16:57:06 +0200
osso-calculator (1.2.12-1plus) unstable; urgency=low

  * Bug Fixes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 08 March 2006 16:57:06 +0200
osso-calculator (1.2.11-1plus) unstable; urgency=low

  * Bug Fixes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 08 March 2006 16:57:06 +0200
osso-calculator (1.2.10-1plus) unstable; urgency=low

  * Bug Fixes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 01 March 2006 16:57:06 +0200
osso-calculator (1.2.09-1plus) unstable; urgency=low

  * Bug Fixes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 20 Feb 2006 16:57:06 +0200
osso-calculator (1.2.08-1plus) unstable; urgency=low

  * Bug Fixes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 15 Feb 2006 16:57:06 +0200
osso-calculator (1.2.07-1plus) unstable; urgency=low

  * Bug Fixes.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Wed, 08 Feb 2006 16:57:06 +0200
osso-calculator (1.2.06-1plus) unstable; urgency=low

  * Localization packages are cleaned up.

 -- Ouyang Qi <qi.ouyang@nokia.com>  Mon, 06 Feb 2006 12:57:06 +0200
osso-calculator (1.2.03-1plus) unstable; urgency=low

  * New version

 -- Ouyang Qi <qi.ouyang@nokia.com>  Fri, 13 Jan 2006 12:57:06 +0200
